--- src/sage/interfaces/singular.py.orig	2018-08-29 08:36:07.818487766 -0600
+++ src/sage/interfaces/singular.py	2018-10-17 14:59:43.460668361 -0600
@@ -1113,7 +1113,7 @@ class Singular(ExtraTabCompletion, Expec
             True
         """
         ringlist = self.eval("listvar(ring)").splitlines()
-        p = re.compile("// ([a-zA-Z0-9_]*).*\[.*\].*\*.*") #do this in constructor?
+        p = re.compile(r"// ([a-zA-Z0-9_]*).*\[.*\].*\*.*") #do this in constructor?
         for line in ringlist:
             m = p.match(line)
             if m:
@@ -1164,7 +1164,7 @@ class Singular(ExtraTabCompletion, Expec
         return [p.match(line).group(int(1)) for line in proclist]
 
     def console(self):
-        """
+        r"""
         EXAMPLES::
 
             sage: singular_console() #not tested
@@ -2019,7 +2019,7 @@ class SingularElement(ExtraTabCompletion
             ['0', 'x', 'y', 'dp', '1,1', 'C', '0', '_[1]=0']
         """
         s = str(self)
-        c = '\[[0-9]*\]:'
+        c = r'\[[0-9]*\]:'
         r = re.compile(c)
         s = r.sub('',s).strip()
         return s.split()
@@ -2090,7 +2090,7 @@ class SingularElement(ExtraTabCompletion
             'poly'
         """
         # singular reports // $varname $type $stuff
-        p = re.compile("// [\w]+ (\w+) [\w]*")
+        p = re.compile(r"// [\w]+ (\w+) [\w]*")
         m = p.match(self.parent().eval("type(%s)"%self.name()))
         return m.group(1)
 
@@ -2264,8 +2264,8 @@ def generate_docstring_dictionary():
 
     singular_docdir = os.environ["SINGULAR_BIN_DIR"]+"/info/"
 
-    new_node = re.compile("File: singular\.hlp,  Node: ([^,]*),.*")
-    new_lookup = re.compile("\* ([^:]*):*([^.]*)\..*")
+    new_node = re.compile(r"File: singular\.hlp,  Node: ([^,]*),.*")
+    new_lookup = re.compile(r"\* ([^:]*):*([^.]*)\..*")
 
     L, in_node, curr_node = [], False, None
 
@@ -2333,7 +2333,7 @@ def reduce_load_Singular():
 
 
 def singular_console():
-    """
+    r"""
     Spawn a new Singular command-line session.
 
     EXAMPLES::
@@ -2369,30 +2369,30 @@ class SingularGBLogPrettyPrinter:
     A device which prints Singular Groebner basis computation logs
     more verbatim.
     """
-    rng_chng = re.compile("\[\d+:\d+\]")# [m:n] internal ring change to
+    rng_chng = re.compile(r"\[\d+:\d+\]")# [m:n] internal ring change to
                                         # poly representation with
                                         # exponent bound m and n words in
                                         # exponent vector
     new_elem = re.compile("s")          # found a new element of the standard basis
     red_zero = re.compile("-")          # reduced a pair/S-polynomial to 0
-    red_post = re.compile("\.")         # postponed a reduction of a pair/S-polynomial
+    red_post = re.compile(r"\.")        # postponed a reduction of a pair/S-polynomial
     cri_hilb = re.compile("h")          # used Hilbert series criterion
-    hig_corn = re.compile("H\(\d+\)")   # found a 'highest corner' of degree d, no need to consider higher degrees
-    num_crit = re.compile("\(\d+\)")    # n critical pairs are still to be reduced
-    red_num =  re.compile("\(S:\d+\)")  # doing complete reduction of n elements
-    deg_lead = re.compile("\d+")        # the degree of the leading terms is currently d
+    hig_corn = re.compile(r"H\(\d+\)")  # found a 'highest corner' of degree d, no need to consider higher degrees
+    num_crit = re.compile(r"\(\d+\)")   # n critical pairs are still to be reduced
+    red_num =  re.compile(r"\(S:\d+\)") # doing complete reduction of n elements
+    deg_lead = re.compile(r"\d+")       # the degree of the leading terms is currently d
 
     # SlimGB
-    red_para = re.compile("M\[(\d+),(\d+)\]") # parallel reduction of n elements with m non-zero output elements
+    red_para = re.compile(r"M\[(\d+),(\d+)\]")# parallel reduction of n elements with m non-zero output elements
     red_betr = re.compile("b")                # exchange of a reductor by a 'better' one
     non_mini = re.compile("e")                # a new reductor with non-minimal leading term
 
-    crt_lne1 = re.compile("product criterion:(\d+) chain criterion:(\d+)")
-    crt_lne2 = re.compile("NF:(\d+) product criterion:(\d+), ext_product criterion:(\d+)")
+    crt_lne1 = re.compile(r"product criterion:(\d+) chain criterion:(\d+)")
+    crt_lne2 = re.compile(r"NF:(\d+) product criterion:(\d+), ext_product criterion:(\d+)")
 
-    pat_sync = re.compile("1\+(\d+);")
+    pat_sync = re.compile(r"1\+(\d+);")
 
-    global_pattern = re.compile("(\[\d+:\d+\]|s|-|\.|h|H\(\d+\)|\(\d+\)|\(S:\d+\)|\d+|M\[\d+,[b,e]*\d+\]|b|e).*")
+    global_pattern = re.compile(r"(\[\d+:\d+\]|s|-|\.|h|H\(\d+\)|\(\d+\)|\(S:\d+\)|\d+|M\[\d+,[b,e]*\d+\]|b|e).*")
 
     def __init__(self, verbosity=1):
         """
--- src/sage/manifolds/differentiable/tensorfield.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/manifolds/differentiable/tensorfield.py	2018-10-16 14:01:26.617775475 -0600
@@ -1212,7 +1212,7 @@ class TensorField(ModuleElement):
             resu[[ind]] = dom.scalar_field({chart: scomp[[ind]].expr(schart)})
 
     def add_expr_from_subdomain(self, frame, subdomain):
-        """
+        r"""
         Add an expression to an existing component from a subdomain.
 
         INPUT:
--- src/sage/manifolds/structure.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/manifolds/structure.py	2018-10-16 14:00:51.066216259 -0600
@@ -61,7 +61,7 @@ class TopologicalStructure(Singleton):
         return cat
 
 class RealTopologicalStructure(Singleton):
-    """
+    r"""
     The structure of a topological manifold over `\RR`.
     """
     chart = RealChart
@@ -110,7 +110,7 @@ class DifferentialStructure(Singleton):
         return cat
 
 class RealDifferentialStructure(Singleton):
-    """
+    r"""
     The structure of a differentiable manifold over `\RR`.
     """
     chart = RealDiffChart
--- src/sage/manifolds/utilities.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/manifolds/utilities.py	2018-10-16 13:59:15.603399845 -0600
@@ -1066,22 +1066,22 @@ class ExpressionNice(Expression):
             # checking if the variable is composite
             for i, val in enumerate(strv):
                 if bool(re.search(r'[+|-|/|*|^|(|)]', val)):
-                    latv[i] = "\left(" + latv[i] + "\\right)"
+                    latv[i] = "\\left(" + latv[i] + "\\right)"
 
             # dictionary to group multiple occurrences of differentiation: d/dxdx -> d/dx^2 etc.
             occ = {i: (latv[i] + "^" + latex(diffargs.count(i))
                        if diffargs.count(i) > 1 else latv[i])
                    for i in diffargs}
 
-            res = "\\frac{\partial" + numargs + "\," + funcname + \
-                  "}{\partial " + "\partial ".join(i for i in occ.values()) + "}"
+            res = "\\frac{\\partial" + numargs + "\\," + funcname + \
+                  "}{\\partial " + "\\partial ".join(i for i in occ.values()) + "}"
 
             # representation of the operator
             s = self._parent._latex_element_(m[0])
 
             # if diff operator is raised to some power (m[5]), put brackets around
             if m[5]:
-                res = "\left(" + res + "\\right)^{" + str(m[5]) + "}"
+                res = "\\left(" + res + "\\right)^{" + str(m[5]) + "}"
                 o = s + "^{" + str(m[5]) + "}"
             else:
                 o = s
--- src/sage/matroids/catalog.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/matroids/catalog.py	2018-10-16 14:38:19.688244377 -0600
@@ -155,7 +155,7 @@ def R6():
 
 
 def Fano():
-    """
+    r"""
     Return the Fano matroid, represented over `GF(2)`.
 
     The Fano matroid, or Fano plane, or `F_7`, is a 7-element matroid of
@@ -774,7 +774,7 @@ def CompleteGraphic(n):
 
 
 def Wheel(n, field=None, ring=None):
-    """
+    r"""
     Return the rank-`n` wheel.
 
     INPUT:
@@ -979,7 +979,7 @@ def PG(n, q, x=None):
 
 
 def AG(n, q, x=None):
-    """
+    r"""
     Return the affine geometry of dimension ``n`` over the finite field of
     order ``q``.
 
@@ -1233,7 +1233,7 @@ def TicTacToe():
 
 
 def Q10():
-    """
+    r"""
     Return the matroid `Q_{10}`, represented over `\GF{4}`.
 
     `Q_{10}` is a 10-element, rank-5, self-dual matroid. It is representable
@@ -1273,7 +1273,7 @@ def Q10():
 
 
 def N1():
-    """
+    r"""
     Return the matroid `N_1`, represented over `\GF{3}`.
 
     `N_1` is an excluded minor for the dyadic matroids. See [Oxl2011]_, p. 554.
@@ -1300,7 +1300,7 @@ def N1():
 
 
 def N2():
-    """
+    r"""
     Return the matroid `N_2`, represented over `\GF{3}`.
 
     `N_2` is an excluded minor for the dyadic matroids. See [Oxl2011]_, p. 554.
--- src/sage/matroids/dual_matroid.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/matroids/dual_matroid.py	2018-10-16 14:38:41.247975942 -0600
@@ -355,7 +355,7 @@ class DualMatroid(Matroid):
         return DualMatroid(self._matroid._minor(contractions=deletions, deletions=contractions))
 
     def dual(self):
-        """
+        r"""
         Return the dual of the matroid.
 
         Let `M` be a matroid with ground set `E`. If `B` is the set of bases
--- src/sage/matroids/matroids_plot_helpers.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/matroids/matroids_plot_helpers.py	2018-10-16 14:40:05.662924917 -0600
@@ -81,7 +81,7 @@ from sage.matroids.advanced import newla
 
 
 def it(M, B1, nB1, lps):
-    """
+    r"""
     Return points on and off the triangle and lines to be drawn for a rank 3
     matroid.
 
--- src/sage/matroids/minor_matroid.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/matroids/minor_matroid.py	2018-10-16 14:39:22.031468163 -0600
@@ -362,7 +362,7 @@ class MinorMatroid(Matroid):
         if len(self._contractions) > 0:
             s = s + " / " + setprint_s(self._contractions, toplevel=True)
         if len(self._deletions) > 0:
-            s = s + " \ " + setprint_s(self._deletions, toplevel=True)
+            s = s + " \\ " + setprint_s(self._deletions, toplevel=True)
         s += ", where M is " + repr(self._matroid)
         return s
 
@@ -511,7 +511,7 @@ class MinorMatroid(Matroid):
         return N
 
     def __reduce__(self):
-        """
+        r"""
         Save the matroid for later reloading.
 
         EXAMPLES::
--- src/sage/matroids/utilities.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/matroids/utilities.py	2018-10-16 14:37:32.024837814 -0600
@@ -651,7 +651,7 @@ def lift_cross_ratios(A, lift_map = None
     return Z
 
 def lift_map(target):
-    """
+    r"""
     Create a lift map, to be used for lifting the cross ratios of a matroid
     representation.
 
--- src/sage/misc/dev_tools.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/misc/dev_tools.py	2018-10-17 14:14:30.691760445 -0600
@@ -177,7 +177,7 @@ def load_submodules(module=None, exclude
     if module is None:
         import sage
         module = sage
-        exclude_pattern = "^sage\.libs|^sage\.tests|tests$|^sage\.all_|all$|sage\.interacts$|^sage\.misc\.benchmark$"
+        exclude_pattern = r"^sage\.libs|^sage\.tests|tests$|^sage\.all_|all$|sage\.interacts$|^sage\.misc\.benchmark$"
 
     if exclude_pattern:
         import re
@@ -314,7 +314,7 @@ def find_object_modules(obj):
 
     # if the object is an instance, we try to guess where it is defined
     if sageinspect.isclassinstance(obj):
-        dec_pattern = re.compile("^(\w[\w0-9\_]*)\s*=", re.MULTILINE)
+        dec_pattern = re.compile(r"^(\w[\w0-9\_]*)\s*=", re.MULTILINE)
         module_to_obj2 = {}
         for module_name, obj_names in iteritems(module_to_obj):
             module_to_obj2[module_name] = []
--- src/sage/misc/latex.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/misc/latex.py	2018-10-17 14:16:12.387449261 -0600
@@ -259,7 +259,7 @@ def builtin_constant_function(x):
     """
     if EMBEDDED_MODE:
         return "{\\rm %s}"%x
-    return "\mbox{\\rm %s}"%x
+    return "\\mbox{\\rm %s}"%x
 
 def None_function(x):
     r"""
@@ -329,7 +329,7 @@ def str_function(x):
         return x
     # Deal with special characters
     char_wrapper = r"{\char`\%s}"
-    x = "".join(char_wrapper % c if c in "#$%&\^_{}~" else c for c in x)
+    x = "".join(char_wrapper % c if c in r"#$%&\^_{}~" else c for c in x)
     # Avoid grouping spaces into one
     x = x.replace(" ", "{ }")
     # And dashes too, since it causes issues for the command line...
@@ -865,7 +865,7 @@ def _run_latex_(filename, debug=False, d
     return return_suffix
 
 class LatexCall:
-    """
+    r"""
     Typeset Sage objects via a ``__call__`` method to this class,
     typically by calling those objects' ``_latex_`` methods.  The
     class :class:`Latex` inherits from this. This class is used in
@@ -1963,7 +1963,7 @@ class MathJax:
             # part should end in "}}", so omit the last two characters
             # from y
             y = part[:closing-1]
-            for delimiter in """|"'`#%&,.:;?!@_~^+-/\=<>()[]{}0123456789E""":
+            for delimiter in r"""|"'`#%&,.:;?!@_~^+-/\=<>()[]{}0123456789E""":
                 if delimiter not in y:
                     break
             if delimiter == "E":
@@ -2419,7 +2419,7 @@ def repr_lincomb(symbols, coeffs):
                 # multiplication sign in
                 try:
                     if bv in CC:
-                        s += "%s\cdot %s" % (coeff, b)
+                        s += "%s\\cdot %s" % (coeff, b)
                     else:
                         s += "%s%s" % (coeff, b)
                 except Exception:
@@ -2614,7 +2614,7 @@ def latex_variable_name(x, is_fname=Fals
         # * The "\d|[.,]" means "decimal digit" or period or comma
         # * The "+" means "1 or more"
         # * The "$" means "at the end of the line"
-        m = re.search('(\d|[.,])+$',x)
+        m = re.search(r'(\d|[.,])+$',x)
         if m is None:
             prefix = x
             suffix = None
--- src/sage/misc/misc.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/misc/misc.py	2018-10-17 14:17:02.905797916 -0600
@@ -903,7 +903,7 @@ def assert_attribute(x, attr, init=None)
 
 
 def compose(f, g):
-    """
+    r"""
     Return the composition of one-variable functions: `f \circ g`
 
     See also :func:`nest()`
@@ -1040,10 +1040,10 @@ def nest(f, n, x):
 #################################################################
 
 class BackslashOperator:
-    """
+    r"""
     Implements Matlab-style backslash operator for solving systems::
 
-        A \\ b
+        A \ b
 
     The preparser converts this to multiplications using
     ``BackslashOperator()``.
@@ -1080,7 +1080,7 @@ class BackslashOperator:
         return self
 
     def __mul__(self, right):
-        """
+        r"""
         EXAMPLES::
 
             sage: A = matrix(RDF, 5, 5, 2)
--- src/sage/misc/sagedoc.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/misc/sagedoc.py	2018-10-16 14:02:58.664634242 -0600
@@ -324,7 +324,7 @@ def skip_TESTS_block(docstring):
     # underscores.
     # Also match uppercase text followed by a colon, like
     # "REFERENCES:" or "ALGORITHM:".
-    end_of_block = re.compile('[ ]*(\.\.[ ]+[-_A-Za-z]+|[A-Z]+):')
+    end_of_block = re.compile(r'[ ]*(\.\.[ ]+[-_A-Za-z]+|[A-Z]+):')
     # header: match a string of hyphens, or other characters which are
     # valid markers for reST headers: - = ` : ' " ~ _ ^ * + # < >
     header = re.compile(r'^[ ]*([-=`:\'"~_^*+#><])\1+[ ]*$')
@@ -915,7 +915,7 @@ You can build this with 'sage -docbuild
     # done with preparation; ready to start search
     for dirpath, dirs, files in os.walk(os.path.join(base_path, module)):
         for f in files:
-            if not f.startswith('.') and re.search("\.(" + "|".join(exts) + ")$", f):
+            if not f.startswith('.') and re.search("\\.(" + "|".join(exts) + ")$", f):
                 filename = os.path.join(dirpath, f)
                 if re.search(path_re, filename):
                     if multiline:
--- src/sage/misc/sphinxify.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/misc/sphinxify.py	2018-10-16 14:03:56.390918527 -0600
@@ -108,7 +108,7 @@ smart_quotes = no
         #    "/media/...path.../blah.png"
         # to
         #    "/doc/static/reference/media/...path.../blah.png"
-        output = re.sub("""src=['"](/?\.\.)*/?media/([^"']*)['"]""",
+        output = re.sub("""src=['"](/?\\.\\.)*/?media/([^"']*)['"]""",
                           'src="/doc/static/reference/media/\\2"',
                           output)
         # Remove spurious \(, \), \[, \].
--- src/sage/modular/abvar/abvar.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/abvar/abvar.py	2018-10-17 14:24:07.958317626 -0600
@@ -231,7 +231,7 @@ class ModularAbelianVariety_abstract(Par
     #############################################################################
     # lattice() *must* be defined by every derived class!!!!
     def lattice(self):
-        """
+        r"""
         Return lattice in ambient cuspidal modular symbols product that
         defines this modular abelian variety.
 
@@ -4178,7 +4178,7 @@ class ModularAbelianVariety_modsym_abstr
         return M
 
     def _compute_hecke_polynomial(self, n, var='x'):
-        """
+        r"""
         Return the characteristic polynomial of the `n^{th}` Hecke
         operator on self.
 
--- src/sage/modular/abvar/morphism.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/abvar/morphism.py	2018-10-17 14:24:24.980098164 -0600
@@ -898,7 +898,7 @@ class HeckeOperator(Morphism):
         return self.__abvar.homology(R).hecke_operator(self.index())
 
     def matrix(self):
-        """
+        r"""
         Return the matrix of self acting on the homology
         `H_1(A, ZZ)` of this abelian variety with coefficients in
         `\ZZ`.
--- src/sage/modular/arithgroup/congroup_generic.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/arithgroup/congroup_generic.py	2018-10-17 14:12:02.381670997 -0600
@@ -111,7 +111,7 @@ def CongruenceSubgroup_constructor(*args
         return CongruenceSubgroupFromGroup(GG)
 
 def is_CongruenceSubgroup(x):
-    """
+    r"""
     Return True if x is of type CongruenceSubgroup.
 
     Note that this may be False even if `x` really is a congruence subgroup --
--- src/sage/modular/btquotients/btquotient.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/btquotients/btquotient.py	2018-10-17 14:30:59.593010312 -0600
@@ -1842,7 +1842,7 @@ class BruhatTitsQuotient(SageObject, Uni
 
     @cached_method
     def get_num_verts(self):
-        """
+        r"""
         Return the number of vertices in the quotient using the formula
         `V = 2(\mu/12 + e_3/3 + e_4/4)`.
 
@@ -3284,7 +3284,7 @@ class BruhatTitsQuotient(SageObject, Uni
             return stabs
 
     def _nebentype_check(self, vec, twom, E, A, flag = 2):
-        """
+        r"""
         Check if a quaternion maps into a subgroup of matrices
         determined by a nontrivial Dirichlet character (associated to
         self). If `N^+ = 1` then the condition is trivially satisfied.
--- src/sage/modular/buzzard.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/buzzard.py	2018-10-17 14:28:35.592866947 -0600
@@ -71,7 +71,7 @@ def gp():
 
 
 def buzzard_tpslopes(p, N, kmax):
-    """
+    r"""
     Returns a vector of length kmax, whose `k`'th entry
     (`0 \leq k \leq k_{max}`) is the conjectural sequence
     of valuations of eigenvalues of `T_p` on forms of level
--- src/sage/modular/cusps_nf.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/cusps_nf.py	2018-10-17 14:29:24.465236820 -0600
@@ -334,7 +334,7 @@ class NFCuspsSpace(ParentWithBase):
         return "Set of all cusps of %s" % self.number_field()
 
     def _latex_(self):
-        """
+        r"""
         Return latex representation of self.
 
         EXAMPLES::
--- src/sage/modular/cusps.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/cusps.py	2018-10-17 14:29:08.312445082 -0600
@@ -113,7 +113,7 @@ class Cusps_class(ParentWithBase):
         return "Set P^1(QQ) of all cusps"
 
     def _latex_(self):
-        """
+        r"""
         Return latex representation of self.
 
         EXAMPLES::
@@ -854,7 +854,7 @@ class Cusp(Element):
         return False, 0
 
     def is_gamma_h_equiv(self, other, G):
-        """
+        r"""
         Return a pair (b, t), where b is True or False as self and other
         are equivalent under the action of G, and t is 1 or -1, as
         described below.
--- src/sage/modular/dirichlet.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/dirichlet.py	2018-10-17 14:29:58.280800826 -0600
@@ -761,7 +761,7 @@ class DirichletCharacter(MultiplicativeG
 
     @cached_method
     def decomposition(self):
-        """
+        r"""
         Return the decomposition of self as a product of Dirichlet
         characters of prime power modulus, where the prime powers exactly
         divide the modulus of this character.
@@ -1059,7 +1059,7 @@ class DirichletCharacter(MultiplicativeG
         return g
 
     def jacobi_sum(self, char, check=True):
-        """
+        r"""
         Return the Jacobi sum associated to these Dirichlet characters
         (i.e., J(self,char)). This is defined as
 
--- src/sage/modular/etaproducts.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/etaproducts.py	2018-10-17 14:30:17.537552545 -0600
@@ -787,7 +787,7 @@ class CuspFamily(SageObject):
         return self._N
 
     def sage_cusp(self):
-        """
+        r"""
         Return the corresponding element of
         `\mathbb{P}^1(\QQ)`.
 
--- src/sage/modular/hecke/algebra.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/hecke/algebra.py	2018-10-17 14:22:50.750313091 -0600
@@ -690,7 +690,7 @@ class HeckeAlgebra_anemic(HeckeAlgebra_b
         return True
 
     def gens(self):
-        """
+        r"""
         Return a generator over all Hecke operator `T_n` for
         `n = 1, 2, 3, \ldots`, with `n` coprime to the
         level. This is an infinite sequence.
--- src/sage/modular/hecke/module.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/hecke/module.py	2018-10-17 14:23:12.430033569 -0600
@@ -1227,7 +1227,7 @@ class HeckeModule_free_module(HeckeModul
         return self._dual_hecke_matrices[n]
 
     def eigenvalue(self, n, name='alpha'):
-        """
+        r"""
         Assuming that self is a simple space, return the eigenvalue of the
         `n^{th}` Hecke operator on self.
 
--- src/sage/modular/hecke/submodule.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/hecke/submodule.py	2018-10-17 14:23:28.788822652 -0600
@@ -843,7 +843,7 @@ class HeckeSubmodule(module.HeckeModule_
         return self.free_module().nonembedded_free_module()
 
     def old_submodule(self, p=None):
-        """
+        r"""
         Return the old or p-old submodule of this space of modular
         symbols.
 
--- src/sage/modular/modform/ambient_g0.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/ambient_g0.py	2018-10-17 14:24:54.883712606 -0600
@@ -28,7 +28,7 @@ from . import eisenstein_submodule
 from sage.misc.cachefunc import cached_method
 
 class ModularFormsAmbient_g0_Q(ambient.ModularFormsAmbient):
-    """
+    r"""
     A space of modular forms for `\Gamma_0(N)` over `\QQ`.
     """
     def __init__(self, level, weight):
--- src/sage/modular/modform/ambient_g1.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/ambient_g1.py	2018-10-17 14:25:18.772404601 -0600
@@ -60,7 +60,7 @@ from . import cuspidal_submodule
 from . import eisenstein_submodule
 
 class ModularFormsAmbient_gH_Q(ambient.ModularFormsAmbient):
-    """
+    r"""
     A space of modular forms for the group `\Gamma_H(N)` over the rational numbers.
     """
     def __init__(self, group, weight, eis_only):
@@ -156,7 +156,7 @@ class ModularFormsAmbient_gH_Q(ambient.M
 
 
 class ModularFormsAmbient_g1_Q(ModularFormsAmbient_gH_Q):
-    """
+    r"""
     A space of modular forms for the group `\Gamma_1(N)` over the rational numbers.
     """
     def __init__(self, level, weight, eis_only):
--- src/sage/modular/modform/eisenstein_submodule.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/eisenstein_submodule.py	2018-10-17 14:26:41.179342109 -0600
@@ -513,7 +513,7 @@ class EisensteinSubmodule_g1_Q(Eisenstei
     Space of Eisenstein forms for `\Gamma_1(N)`.
     """
     def _parameters_character(self):
-        """
+        r"""
         Return the character defining self. Since self is a space of Eisenstein
         forms on `\Gamma_1(N)`, all characters modulo the level are possible,
         so we return the level.
@@ -607,7 +607,7 @@ def cyclotomic_restriction(L,K):
         M = CyclotomicField(lcm(L.zeta_order(), K.zeta_order()))
         f = cyclotomic_restriction_tower(M,K)
         def g(x):
-            """
+            r"""
             Function returned by cyclotomic restriction.
 
             INPUT:
@@ -665,7 +665,7 @@ def cyclotomic_restriction_tower(L,K):
     g = R(f)
     h_ls = [ t[0] for t in g.factor() if t[0](L.gen(0)) == 0 ]
     if len(h_ls) == 0:
-        raise ValueError("K (= Q(\zeta_%s)) is not contained in L (= Q(\zeta_%s))"%(K._n(), L._n()))
+        raise ValueError(r"K (= Q(\zeta_%s)) is not contained in L (= Q(\zeta_%s))"%(K._n(), L._n()))
     h = h_ls[0]
     def z(a):
         """
--- src/sage/modular/modform/eis_series.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/eis_series.py	2018-10-17 14:25:59.178883627 -0600
@@ -198,7 +198,7 @@ def __common_minimal_basering(chi, psi):
 #    return eps.primitive_character()
 
 def __find_eisen_chars(character, k):
-    """
+    r"""
     Find all triples `(\psi_1, \psi_2, t)` that give rise to an Eisenstein series of the given weight and character.
 
     EXAMPLES::
@@ -288,7 +288,7 @@ def __find_eisen_chars(character, k):
     return params
 
 def __find_eisen_chars_gammaH(N, H, k):
-    """
+    r"""
     Find all triples `(\psi_1, \psi_2, t)` that give rise to an Eisenstein series of weight `k` on
     `\Gamma_H(N)`.
 
@@ -305,7 +305,7 @@ def __find_eisen_chars_gammaH(N, H, k):
     return params
 
 def __find_eisen_chars_gamma1(N, k):
-    """
+    r"""
     Find all triples `(\psi_1, \psi_2, t)` that give rise to an Eisenstein series of weight `k` on
     `\Gamma_1(N)`.
 
--- src/sage/modular/modform/element.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/element.py	2018-10-17 14:27:08.819985729 -0600
@@ -1766,7 +1766,7 @@ class Newform(ModularForm_abstract):
         return w / Q0 / sign * self.character()(crt(1, Q//Q0, Q, N//Q))
 
     def atkin_lehner_action(self, d=None, normalization='analytic', embedding=None):
-        """
+        r"""
         Return the result of the Atkin-Lehner operator `W_d` on this form `f`,
         in the form of a constant `\lambda_d(f)` and a normalized newform `f'`
         such that
@@ -2751,7 +2751,7 @@ class EisensteinSeries(ModularFormElemen
         return v
 
     def __compute_general_case(self, X):
-        """
+        r"""
         Returns the list coefficients of `q^n` of the power series of self,
         for `n` in the list `X`.  The results are not cached.  (Use
         coefficients for cached results).
--- src/sage/modular/modform_hecketriangle/abstract_space.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform_hecketriangle/abstract_space.py	2018-10-16 14:42:57.389786793 -0600
@@ -121,7 +121,7 @@ class FormsSpace_abstract(FormsRing_abst
         """
 
         from sage.misc.latex import latex
-        return "{}_{{ n={} }}({},\ {})({})".format(self._analytic_type.latex_space_name(), self._group.n(), self._weight, self._ep, latex(self._base_ring))
+        return r"{}_{{ n={} }}({},\ {})({})".format(self._analytic_type.latex_space_name(), self._group.n(), self._weight, self._ep, latex(self._base_ring))
 
     def _element_constructor_(self, el):
         r"""
--- src/sage/modular/modform/space.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/space.py	2018-10-17 14:27:32.002686826 -0600
@@ -291,7 +291,7 @@ class ModularFormsSpace(hecke.HeckeModul
         return self.__group
 
     def character(self):
-        """
+        r"""
         Return the Dirichlet character corresponding to this space of
         modular forms. Returns None if there is no specific character
         corresponding to this space, e.g., if this is a space of modular
@@ -332,7 +332,7 @@ class ModularFormsSpace(hecke.HeckeModul
         return self.__character
 
     def has_character(self):
-        """
+        r"""
         Return True if this space of modular forms has a specific
         character.
 
--- src/sage/modular/modform/vm_basis.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modform/vm_basis.py	2018-10-17 14:28:10.282193280 -0600
@@ -1,4 +1,4 @@
-"""
+r"""
 The Victor Miller Basis
 
 This module contains functions for quick calculation of a basis of
@@ -266,7 +266,7 @@ def _delta_poly(prec=10):
     return f
 
 def _delta_poly_modulo(N, prec=10):
-    """
+    r"""
     Return the q-expansion of `\Delta` modulo `N`. Used internally by
     the :func:`~delta_qexp` function. See the docstring of :func:`~delta_qexp`
     for more information.
@@ -322,7 +322,7 @@ def _delta_poly_modulo(N, prec=10):
 
 
 def delta_qexp(prec=10, var='q', K=ZZ) :
-    """
+    r"""
     Return the `q`-expansion of the weight 12 cusp form `\Delta` as a power
     series with coefficients in the ring K (`= \ZZ` by default).
 
--- src/sage/modular/modsym/ambient.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modsym/ambient.py	2018-10-16 14:43:55.845058982 -0600
@@ -3551,7 +3551,7 @@ class ModularSymbolsAmbient_wtk_eps(Modu
         return m * self.group().dimension_new_cusp_forms(self.weight(), eps=self.character())
 
     def _matrix_of_operator_on_modular_symbols(self, codomain, R, character_twist=False):
-        """
+        r"""
         INPUT:
 
 
--- src/sage/modular/modsym/boundary.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modsym/boundary.py	2018-10-16 14:45:01.452242129 -0600
@@ -222,7 +222,7 @@ class BoundarySpaceElement(hecke.HeckeMo
         return BoundarySpaceElement(self.parent(), z)
 
     def _rmul_(self, other):
-        """
+        r"""
         Return self \* other. Assumes that other can be coerced into
         self.parent().base_ring().
 
@@ -241,7 +241,7 @@ class BoundarySpaceElement(hecke.HeckeMo
         return BoundarySpaceElement(self.parent(), x)
 
     def _lmul_(self, other):
-        """
+        r"""
         Return other \* self. Assumes that other can be coerced into
         self.parent().base_ring().
 
--- src/sage/modular/modsym/element.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modsym/element.py	2018-10-17 14:31:22.686712491 -0600
@@ -43,7 +43,7 @@ def is_ModularSymbolsElement(x):
     return isinstance(x, ModularSymbolsElement)
 
 def set_modsym_print_mode(mode="manin"):
-    """
+    r"""
     Set the mode for printing of elements of modular symbols spaces.
 
     INPUT:
--- src/sage/modular/modsym/manin_symbol_list.py.orig	2018-08-03 05:10:09.000000000 -0600
+++ src/sage/modular/modsym/manin_symbol_list.py	2018-10-16 14:44:16.915796635 -0600
@@ -799,7 +799,7 @@ class ManinSymbolList_gamma1(ManinSymbol
         True
     """
     def __init__(self, level, weight):
-        """
+        r"""
         Constructor for a ModularSymbolList for `\Gamma_0(N)`.
 
         EXAMPLES::
